import { DialogSOP } from '../../libappsop/dialogsop';
import { EditFieldSOP } from '../../libappsop/editfieldsop';

export interface DialogQuantityCapacityFields {
  MaxCapacity?: string;
}

export class DialogQuantityCapacity extends DialogSOP<DialogQuantityCapacityFields> {
  public efMaxCapacity = new EditFieldSOP('EditFieldMaxCapacity');

  public constructor() {
    super('DialogCreateEditQuantityCapacity');

    // Set UI element mapping to pair the UI name to the UI element for use in DialogSOP to find the UI object to set value or verify value
    // This prevents each new Dialog to duplicate code just to set/verify UI element value
    this._uiMap.set('MaxCapacity', this.efMaxCapacity);
  }
}
